package cokr.xit.fims.cmmn;

/**단속 납부자 이력 정보 조회 요청
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-08-16	leebj 최초 작성
 * ================================
 * </pre>
 */
public class CrdnPayerHstryQuery extends CmmnQuery {

	private static final long serialVersionUID = 1L;

	private String chgHstryId;													// 상태 이력 ID
	private String crdnId;														// 단속 ID
	private String rtpyrId;														// 납부자 ID

	public String getChgHstryId() {
		return ifEmpty(chgHstryId, () -> null);
	}

	public <T extends CrdnPayerHstryQuery> T setChgHstryId(String chgHstryId) {
		this.chgHstryId = chgHstryId;

		return self();
	}

	public String getCrdnId() {
		return ifEmpty(crdnId, () -> null);
	}

	public <T extends CrdnPayerHstryQuery> T setCrdnId(String crdnId) {
		this.crdnId = crdnId;

		return self();
	}

	public String getRtpyrId() {
		return ifEmpty(rtpyrId, () -> null);
	}

	public <T extends CrdnPayerHstryQuery> T setRtpyrId(String rtpyrId) {
		this.rtpyrId = rtpyrId;

		return self();
	}

}
